Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229941 - vnc menu tooltip not HIG compliant
Summary: vnc menu tooltip not HIG compliant
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: vnc
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-24 19:39 UTC by petrosyan
Modified: 2013-04-30 23:35 UTC (History)
1 user (show)

Fixed In Version: 4.1.2-13.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-26 12:55:34 UTC


Attachments (Terms of Use)

Description petrosyan 2007-02-24 19:39:25 UTC
Description of problem:
According to GNOME HIG
http://developer.gnome.org/projects/gup/hig/2.0/desktop-integration.html#menu-item-tooltips
menu tooltips writers should:
*) Phrase the tooltip as an imperative verb, for example "design", "write" or
"check".
*) Describe the most important tasks users can accomplish with your application.

vnc's menu entry tooltip "VNC client application" does none of that.

Version-Release number of selected component (if applicable):
vnc-4.1.2-9.fc6

Comment 1 Adam Tkac 2007-02-25 11:05:41 UTC
Hm. What exactly could be more descriptive? I think "VNC client application" is
one of the best descriptions...

Regards, Adam

Comment 2 petrosyan 2007-02-25 19:59:03 UTC
Is "VNC client application" phrased as a verb? Here are some HIG compliant tooltips:
"Calculator" -> "Perform calculations"
"Text Editor" -> "Edit text files"
"Terminal" -> "Use the command line"
HIG says that the tooltip should be phrased as an imperative verb.
"VNC viewer" -> "VNC client application" is not phrased as an imperative verb.
The tooltip should be something like "Connect to a remote computer" or something
like that.

Comment 3 Adam Tkac 2007-02-26 12:55:34 UTC
I've changed it to "Connect to VNC server and display remote desktop"


Note You need to log in before you can comment on or make changes to this bug.